Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-05-18 18:43:11 +0000
committerDavid Williams2014-05-18 18:43:11 +0000
commitf8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd (patch)
treeea20b3823609d7c8c621b0392067040ac3c9dd63 /production/testScripts/hudsonBootstrap
parent934047c9e1eb4c853d2610ae60e458aaecff6b67 (diff)
downloadeclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.gz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.xz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.zip
Bug 409076 - establish standard formatting - indentation
Diffstat (limited to 'production/testScripts/hudsonBootstrap')
-rw-r--r--production/testScripts/hudsonBootstrap/getEBuilder.sh52
1 files changed, 26 insertions, 26 deletions
diff --git a/production/testScripts/hudsonBootstrap/getEBuilder.sh b/production/testScripts/hudsonBootstrap/getEBuilder.sh
index 611e212eb..627938fee 100644
--- a/production/testScripts/hudsonBootstrap/getEBuilder.sh
+++ b/production/testScripts/hudsonBootstrap/getEBuilder.sh
@@ -9,26 +9,26 @@
if [[ -z "${WORKSPACE}" ]]
then
- echo "WORKSPACE not supplied, will assume current directory"
- WORKSPACE=${PWD}
+ echo "WORKSPACE not supplied, will assume current directory"
+ WORKSPACE=${PWD}
else
- if [[ ! -d "${WORKSPACE}" ]]
- then
- echo "ERROR: WORKSPACE did not exist. Perhaps you meant its parent?"
- exit 1
- fi
+ if [[ ! -d "${WORKSPACE}" ]]
+ then
+ echo "ERROR: WORKSPACE did not exist. Perhaps you meant its parent?"
+ exit 1
+ fi
fi
if [[ -z "${EBUILDER_HASH}" ]]
-then
- echo "EBUILDER HASH, BRANCH, or TAG was not supplied, assuming 'master'"
- EBUILDER_HASH=master
+then
+ echo "EBUILDER HASH, BRANCH, or TAG was not supplied, assuming 'master'"
+ EBUILDER_HASH=master
fi
if [[ -z "${BUILD_KIND}" ]]
then
- echo "BUILD_KIND not supplied, assuming CBI"
- BUILD_KIND=CBI
+ echo "BUILD_KIND not supplied, assuming CBI"
+ BUILD_KIND=CBI
fi
# remove just in case left from previous failed run
@@ -36,29 +36,29 @@ rm ebuilder.zip 2>/dev/null
rm -fr tempebuilder 2>/dev/null
if [[ "${BUILD_KIND}" == "CBI" ]]
-then
- EBUILDER=eclipse.platform.releng.aggregator
- TARGETNAME=eclipse.platform.releng.aggregator
- ESCRIPT_LOC=${EBUILDER}/production/testScripts
-elif [[ "$BUILD_KIND" == "PDE" ]]
then
- EBUILDER=eclipse.platform.releng.eclipsebuilder
- TARGETNAME=org.eclipse.releng.eclipsebuilder
- ESCRIPT_LOC=${TARGETNAME}
-else
- echo "ERROR: Unexpected value of BUILD_KIND: ${BUILD_KIND}"
- exit 1
+ EBUILDER=eclipse.platform.releng.aggregator
+ TARGETNAME=eclipse.platform.releng.aggregator
+ ESCRIPT_LOC=${EBUILDER}/production/testScripts
+elif [[ "$BUILD_KIND" == "PDE" ]]
+then
+ EBUILDER=eclipse.platform.releng.eclipsebuilder
+ TARGETNAME=org.eclipse.releng.eclipsebuilder
+ ESCRIPT_LOC=${TARGETNAME}
+else
+ echo "ERROR: Unexpected value of BUILD_KIND: ${BUILD_KIND}"
+ exit 1
fi
wget -O ebuilder.zip --no-verbose http://git.eclipse.org/c/platform/${EBUILDER}.git/snapshot/${EBUILDER}-${EBUILDER_HASH}.zip 2>&1
unzip -q ebuilder.zip -d tempebuilder
mkdir -p ${WORKSPACE}/$TARGETNAME
rsync --recursive "tempebuilder/${EBUILDER}-${EBUILDER_HASH}/" "${WORKSPACE}/${TARGETNAME}/"
-rccode=$?
+rccode=$?
if [[ $rccode != 0 ]]
then
- echo "ERROR: rsync did not complete normally.rccode: $rccode"
- exit $rccode
+ echo "ERROR: rsync did not complete normally.rccode: $rccode"
+ exit $rccode
fi
# copy to well-known location so subsequent steps do not need to know which ebuilder they came from

Back to the top